org.keycloak.saml.common

## Interface PicketLinkLogger

- All Known Implementing Classes:
    DefaultPicketLinkLogger

      public interface PicketLinkLogger

  This interface acts as a Log Facade for PicketLink, from which exceptions and messages should be created or logged.

  As PicketLink supports multiple containers and its versions, the main objective of this interface is to abstract the logging aspects from the code and provide different logging implementations for each supported binding/container.

  Author:
    Pedro Silva
  See Also:
    `PicketLinkLoggerFactory}`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessingException` | `assertionExpiredError(AssertionExpiredException aee)`
    `ProcessingException` | `assertionInvalidError()`
    `void` | `attributeManagerError(Throwable t)`
    `void` | `attributeProviderInstationError(Throwable t)`
    `ConfigurationException` | `auditAuditManagerNotFound(String location, Throwable t)`
    `void` | `auditEvent(String auditEvent)` Logs a PicketLink Audit Event.
    `IllegalStateException` | `auditNullAuditManager()` Creates a `IllegalStateException` for the case the Audit Manager is null.
    `ConfigurationException` | `auditSecurityDomainNotFound(Throwable t)`
    `LoginException` | `authAssertionValidationError(Throwable t)`
    `IllegalStateException` | `authCouldNotCreateWSTrustClient(Throwable t)`
    `LoginException` | `authCouldNotIssueSAMLToken()`
    `LoginException` | `authCouldNotLocateSecurityToken()`
    `LoginException` | `authCouldNotValidateSAMLToken(Element token)`
    `void` | `authenticationManagerError(ConfigurationException e)`
    `LoginException` | `authErrorHandlingCallback(Throwable t)`
    `LoginException` | `authFailedToCreatePrincipal(Throwable t)`
    `LoginException` | `authFailedToParseSAMLAssertion(Throwable t)`
    `LoginException` | `authInvalidSAMLAssertionBySTS()`
    `LoginException` | `authLoginError(Throwable t)`
    `LoginException` | `authNoCertificateFoundForAliasError(String alias, String name)`
    `LoginException` | `authNullKeyStoreAliasFromSecurityDomainError(String name)`
    `LoginException` | `authNullKeyStoreFromSecurityDomainError(String name)`
    `void` | `authorizationManagerError(ConfigurationException e)`
    `LoginException` | `authSAMLAssertionExpiredError()`
    `void` | `authSAMLAssertionIssuingFailed(Throwable t)`
    `RuntimeException` | `authSAMLAssertionNullOrEmpty()`
    `LoginException` | `authSAMLCredentialNotAvailable()`
    `LoginException` | `authSAMLInvalidSignatureError()`
    `LoginException` | `authSharedCredentialIsNotSAMLCredential(String className)`
    `LoginException` | `authSTSConfigFileNotFound()`
    `RuntimeException` | `authUnableToGetIdentityFromSubject()`
    `RuntimeException` | `authUnableToInstantiateHandler(String token, Throwable t)`
    `RuntimeException` | `cannotGetFreeClientPoolKey(String key)`
    `RuntimeException` | `cannotGetSTSConfigByKey(String key)`
    `RuntimeException` | `cannotGetUsedClientsByKey(String key)`
    `IllegalArgumentException` | `cannotParseParameterValue(String parameter, Throwable e)`
    `RuntimeException` | `cannotSetMaxPoolSizeToNegative(String max)`
    `ProcessingException` | `classNotLoadedError(String fqn)`
    `ConfigurationException` | `configurationError(Throwable t)`
    `RuntimeException` | `configurationFileMissing(String configFile)`
    `ProcessingException` | `couldNotCreateInstance(String fqn, Throwable t)`
    `IllegalStateException` | `couldNotLoadProperties(String configFile)`
    `void` | `couldNotObtainSecurityContext()`
    `IllegalStateException` | `datasourceIsNull()`
    `void` | `debug(String message)`
    `IllegalStateException` | `domMissingDocElementError(String element)`
    `IllegalStateException` | `domMissingElementError(String element)`
    `RuntimeException` | `encryptProcessError(Throwable t)`
    `RuntimeException` | `encryptUnknownAlgoError(String certAlgo)`
    `void` | `error(String message)`
    `void` | `error(Throwable t)`
    `RuntimeException` | `errorUnmarshallingToken(Throwable e)`
    `IllegalStateException` | `fileNotLocated(String policyConfigFileName)`
    `RuntimeException` | `freePoolAlreadyContainsGivenKey(String key)`
    `void` | `info(String message)`
    `RuntimeException` | `injectedValueMissing(String value)` Creates a `RuntimeException` for missing values.
    `IllegalArgumentException` | `invalidArgumentError(String message)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isInfoEnabled()` Indicates if the logging level is set to INFO.
    `IllegalArgumentException` | `issuerInfoMissingStatusCodeError()`
    `boolean` | `isTraceEnabled()`
    `IllegalStateException` | `jbdcInitializationError(Throwable throwable)`
    `RuntimeException` | `jbossWSAuthorizationFailed()`
    `void` | `jbossWSErrorGettingOperationName(Throwable t)`
    `void` | `jbossWSUnableToCreateBinaryToken(Throwable t)`
    `void` | `jbossWSUnableToCreateSecurityToken()`
    `RuntimeException` | `jbossWSUnableToCreateSSLSocketFactory(Throwable t)`
    `RuntimeException` | `jbossWSUnableToFindSSLSocketFactory()`
    `RuntimeException` | `jbossWSUnableToLoadJBossWSSEConfigError()`
    `void` | `jbossWSUnableToWriteSOAPMessage(Throwable t)`
    `ProcessingException` | `jbossWSUncheckedAndRolesCannotBeTogether()`
    `void` | `jceProviderCouldNotBeLoaded(String name, Throwable t)`
    `TrustKeyConfigurationException` | `keyStoreConfigurationError(Throwable t)` Creates a `TrustKeyConfigurationException` for exceptions raised during the KeyStore configuration.
    `IllegalStateException` | `keyStoreMissingDomainAlias(String domain)`
    `RuntimeException` | `keyStoreNotLocated(String keyStore)` Creates a `RuntimeException` for the case where key store are not located.
    `IllegalStateException` | `keyStoreNullAlias()` Creates a `IllegalStateException` for the case where the alias is null.
    `RuntimeException` | `keyStoreNullEncryptionKeyPass()`
    `void` | `keyStoreNullPublicKeyForAlias(String alias)` Logs a message for the cases where no public key was found for a given alias.
    `RuntimeException` | `keyStoreNullSigningKeyPass()` Creates a `RuntimeException` for the case where the signing key password is null.
    `IllegalStateException` | `keyStoreNullStore()` Creates a `IllegalStateException` for the case where the KeyStore is null.
    `TrustKeyProcessingException` | `keyStoreProcessingError(Throwable t)` Creates a `TrustKeyConfigurationException` for exceptions raised during the KeyStore processing.
    `void` | `keyStoreSetup()` Logs a message during the KeyStore setup.
    `void` | `mappingContextNull()`
    `RuntimeException` | `maximumNumberOfClientsReachedforPool(String max)`
    `RuntimeException` | `notEqualError(String first, String second)`
    `RuntimeException` | `notImplementedYet(String string)` Creates a `RuntimeException` for not implemented methods or features.
    `IOException` | `notSerializableError(String message)`
    `IllegalArgumentException` | `nullArgumentError(String argument)` Creates an `IllegalArgumentException` for null arguments.
    `RuntimeException` | `nullValueError(String nullValue)` Creates a `RuntimeException` for null values.
    `IllegalStateException` | `optionNotSet(String option)`
    `ParsingException` | `parserError(Throwable t)`
    `ParsingException` | `parserException(Throwable t)`
    `ParsingException` | `parserExpectedEndTag(String tagName)`
    `RuntimeException` | `parserExpectedTag(String tag, String foundElementTag)`
    `ParsingException` | `parserExpectedTextValue(String string)`
    `RuntimeException` | `parserExpectedXSI(String expectedXsi)`
    `RuntimeException` | `parserFailed(String elementName)`
    `RuntimeException` | `parserFeatureNotSupported(String feature)`
    `IllegalStateException` | `parserNullStartElement()`
    `ParsingException` | `parserRequiredAttribute(String string)`
    `ParsingException` | `parserUnableParsingNullToken()`
    `RuntimeException` | `parserUnknownEndElement(String endElementName)` Creates a `RuntimeException` for the case where parser founds a unknown end element.
    `RuntimeException` | `parserUnknownStartElement(String elementName, Location location)`
    `RuntimeException` | `parserUnknownTag(String tag, Location location)`
    `ParsingException` | `parserUnknownXSI(String xsiTypeValue)`
    `ProcessingException` | `processingError(Throwable t)` Creates an `ProcessingException` for generics processing errors.
    `RuntimeException` | `removingNonExistingClientFromUsedClientsByKey(String key)`
    `ProcessingException` | `resourceNotFound(String resource)` Creates an `ProcessingException` for resources that are not found.
    `RuntimeException` | `runtimeException(String msg, Throwable e)`
    `void` | `samlAssertion(String nodeAsString)`
    `void` | `samlAssertionExpired(String id)`
    `ProcessingException` | `samlAssertionExpiredError()`
    `ProcessingException` | `samlAssertionMarshallError(Throwable t)`
    `void` | `samlAssertionPasingFailed(Throwable t)`
    `ProcessingException` | `samlAssertionRevokedCouldNotRenew(String id)`
    `ProcessingException` | `samlAssertionUnmarshallError(Throwable t)`
    `void` | `samlAssertionWithoutExpiration(String id)`
    `ProcessingException` | `samlAssertionWrongAudience(String serviceURL)`
    `void` | `samlBase64DecodingError(Throwable t)`
    `void` | `samlErrorPageForwardError(String errorPage, Throwable t)`
    `RuntimeException` | `samlHandlerAssertionNotFound()`
    `void` | `samlHandlerAuthenticationError(Throwable t)`
    `ProcessingException` | `samlHandlerAuthnRequestIsNull()`
    `RuntimeException` | `samlHandlerChainProcessingError(Throwable t)`
    `void` | `samlHandlerConfigurationError(Throwable t)`
    `void` | `samlHandlerErrorSigningRedirectBindingMessage(Throwable t)`
    `void` | `samlHandlerErrorValidatingSignature(Throwable t)`
    `ProcessingException` | `samlHandlerFailedInResponseToVerificarionError()`
    `void` | `samlHandlerFailedInResponseToVerification(String inResponseTo, String authnRequestId)`
    `ProcessingException` | `samlHandlerIdentityServerNotFoundError()`
    `SecurityException` | `samlHandlerIDPAuthenticationFailedError()`
    `ProcessingException` | `samlHandlerInvalidSignatureError()`
    `void` | `samlHandlerKeyPairNotFound()`
    `ProcessingException` | `samlHandlerKeyPairNotFoundError()`
    `IllegalArgumentException` | `samlHandlerNoAssertionFromIDP()`
    `ProcessingException` | `samlHandlerNullEncryptedAssertion()`
    `ProcessingException` | `samlHandlerPrincipalNotFoundError()`
    `void` | `samlHandlerRoleGeneratorSetupError(Throwable t)`
    `IllegalStateException` | `samlHandlerServiceProviderConfigNotFound()`
    `ProcessingException` | `samlHandlerSignatureNotPresentError()`
    `ProcessingException` | `samlHandlerSignatureValidationError(Throwable t)`
    `SignatureValidationException` | `samlHandlerSignatureValidationFailed()`
    `RuntimeException` | `samlHandlerSigningRedirectBindingMessageError(Throwable t)`
    `ConfigurationException` | `samlHandlerTrustElementMissingError()`
    `void` | `samlIdentityServerActiveSessionCount(int activeSessionCount)`
    `void` | `samlIdentityServerSessionCreated(String id, int activeSessionCount)`
    `void` | `samlIdentityServerSessionDestroyed(String id, int activeSessionCount)`
    `RuntimeException` | `samlIDPConfigurationError(Throwable t)`
    `void` | `samlIDPHandlingSAML11Error(Throwable t)`
    `void` | `samlIDPInstallingDefaultSTSConfig()`
    `void` | `samlIDPRequestProcessingError(Throwable t)`
    `void` | `samlIDPSettingCanonicalizationMethod(String canonicalizationMethod)`
    `void` | `samlIDPUnableToSetParticipantStackUsingDefault(Throwable t)`
    `GeneralSecurityException` | `samlIDPValidationCheckFailed()`
    `IllegalArgumentException` | `samlInvalidProtocolBinding()`
    `IssueInstantMissingException` | `samlIssueInstantMissingError()`
    `IssuerNotTrustedException` | `samlIssuerNotTrustedError(String issuer)`
    `IssuerNotTrustedException` | `samlIssuerNotTrustedException(Throwable t)`
    `void` | `samlLogoutError(Throwable t)`
    `IllegalArgumentException` | `samlMetaDataFailedToCreateCacheDuration(String timeValue)`
    `void` | `samlMetaDataIdentityProviderLoadingError(Throwable t)`
    `ConfigurationException` | `samlMetaDataNoIdentityProviderDefined()`
    `ConfigurationException` | `samlMetaDataNoServiceProviderDefined()`
    `void` | `samlMetaDataServiceProviderLoadingError(Throwable t)`
    `void` | `samlParsingError(Throwable t)`
    `void` | `samlResponseFromIDPParsingFailed()`
    `void` | `samlSecurityTokenAlreadyPersisted(String id)`
    `void` | `samlSecurityTokenNotFoundInRegistry(String id)`
    `RuntimeException` | `samlSPConfigurationError(Throwable t)`
    `void` | `samlSPCouldNotDispatchToLogoutPage(String logOutPage)`
    `void` | `samlSPFallingBackToLocalFormAuthentication()`
    `void` | `samlSPHandleRequestError(Throwable t)`
    `IOException` | `samlSPProcessingExceptionError(Throwable t)`
    `RuntimeException` | `samlSPResponseNotCatalinaResponseError(Object response)`
    `void` | `samlSPSettingCanonicalizationMethod(String canonicalizationMethod)`
    `void` | `samlSPUnableToGetIDPDescriptorFromMetadata()`
    `ConfigurationException` | `securityDomainNotFound()`
    `IllegalArgumentException` | `shouldNotBeTheSameError(String string)` Creates an `IllegalArgumentException` for arguments that should not be the same.
    `void` | `signatureAssertionValidationError(Throwable t)`
    `XMLSignatureException` | `signatureError(Throwable e)` Creates a `ProcessingException` for exceptions raised during signature processing.
    `XMLSignatureException` | `signatureInvalidError(String message, Throwable t)`
    `RuntimeException` | `signatureUnknownAlgo(String algo)`
    `void` | `stsConfigurationFileLoaded(String fileName)`
    `void` | `stsConfigurationFileNotFoundClassLoader(String fileName)`
    `void` | `stsConfigurationFileNotFoundTCL(String fileName)`
    `ConfigurationException` | `stsConfigurationFileParsingError(Throwable t)`
    `WSTrustException` | `stsError(Throwable t)`
    `WSTrustException` | `stsKeyInfoTypeCreationError(Throwable t)`
    `ProcessingException` | `stsNoTokenProviderError(String configuration, String protocolContext)`
    `RuntimeException` | `stsPublicKeyCertError(Throwable t)`
    `RuntimeException` | `stsPublicKeyError(String serviceName, Throwable t)`
    `void` | `stsRevocationRegistryInstantiationError()`
    `void` | `stsRevocationRegistryInvalidType(String registryOption)`
    `void` | `stsRevocationRegistryNotSpecified()`
    `void` | `stsSecretKeyNotEncrypted()`
    `void` | `stsSecurityTokenShouldBeEncrypted()`
    `void` | `stsSecurityTokenSignatureNotVerified()`
    `RuntimeException` | `stsSigningKeyPairError(Throwable t)`
    `void` | `stsTokenRegistryInstantiationError()`
    `void` | `stsTokenRegistryInvalidType(String tokenRegistryOption)`
    `void` | `stsTokenRegistryNotSpecified()`
    `void` | `stsTokenTimeoutNotSpecified()`
    `RuntimeException` | `stsUnableToConstructKeyManagerError(Throwable t)`
    `void` | `stsUsingDefaultConfiguration(String fileName)`
    `void` | `stsWrongAttributeProviderTypeNotInstalled(String attributeProviderClassName)`
    `WebServiceException` | `stsWSConfigurationError(Throwable t)`
    `WebServiceException` | `stsWSError(Throwable t)`
    `WebServiceException` | `stsWSHandlingTokenRequestError(Throwable t)`
    `WSTrustException` | `stsWSInvalidRequestTypeError(String requestType)`
    `WebServiceException` | `stsWSInvalidTokenRequestError()`
    `WebServiceException` | `stsWSResponseWritingError(Throwable t)`
    `RuntimeException` | `systemPropertyMissingError(String property)`
    `void` | `trace(String message)`
    `void` | `trace(String message, Throwable t)`
    `void` | `trace(Throwable t)`
    `void` | `trustKeyManagerCreationError(Throwable t)`
    `TrustKeyConfigurationException` | `trustKeyManagerMissing()`
    `IOException` | `unableLocalAuthentication(Throwable t)`
    `RuntimeException` | `unableToDecodePasswordError(String password)`
    `RuntimeException` | `unknowCredentialType(String name)`
    `RuntimeException` | `unknownObjectType(Object attrValue)`
    `RuntimeException` | `unsupportedRoleType(Object attrValue)`
    `RuntimeException` | `unsupportedType(String name)` Creates an `RuntimeException` for not supported types.
    `void` | `usingLoggerImplementation(String className)` Logs the implementation being used to log messages and exceptions.
    `void` | `warn(String message)`
    `ProcessingException` | `writerInvalidKeyInfoNullContentError()`
    `ProcessingException` | `writerNullValueError(String value)`
    `RuntimeException` | `writerUnknownTypeError(String name)`
    `RuntimeException` | `writerUnsupportedAttributeValueError(String value)`
    `IllegalArgumentException` | `wrongTypeError(String message)`
    `WSTrustException` | `wsTrustClientPublicKeyError()`
    `WSTrustException` | `wsTrustCombinedSecretKeyError(Throwable t)`
    `ProcessingException` | `wsTrustNullCancelTargetError()`
    `ProcessingException` | `wsTrustNullRenewTargetError()`
    `ProcessingException` | `wsTrustNullValidationTargetError()`
    `RuntimeException` | `wsTrustUnableToGetDataTypeFactory(Throwable t)`
    `ProcessingException` | `wsTrustValidationStatusCodeMissing()`
    `RuntimeException` | `xacmlPDPMessageProcessingError(Throwable t)`
    `void` | `xmlCouldNotGetSchema(Throwable t)`

- - ### Method Detail

    - #### nullArgumentError

          IllegalArgumentException nullArgumentError(String argument)

      Creates an `IllegalArgumentException` for null arguments.

      Parameters:
        `argument` -
      Returns:

    - #### shouldNotBeTheSameError

          IllegalArgumentException shouldNotBeTheSameError(String string)

      Creates an `IllegalArgumentException` for arguments that should not be the same.

      Parameters:
        `string` -
      Returns:

    - #### resourceNotFound

          ProcessingException resourceNotFound(String resource)

      Creates an `ProcessingException` for resources that are not found.

      Parameters:
        `resource` -
      Returns:

    - #### processingError

          ProcessingException processingError(Throwable t)

      Creates an `ProcessingException` for generics processing errors.

      Parameters:
        `message` -
        `t` -
      Returns:

    - #### unsupportedType

          RuntimeException unsupportedType(String name)

      Creates an `RuntimeException` for not supported types.

      Parameters:
        `name` -
      Returns:

    - #### signatureError

          XMLSignatureException signatureError(Throwable e)

      Creates a `ProcessingException` for exceptions raised during signature processing.

      Parameters:
        `e` -
      Returns:

    - #### nullValueError

          RuntimeException nullValueError(String nullValue)

      Creates a `RuntimeException` for null values.

      Parameters:
        `nullValue` -
      Returns:

    - #### notImplementedYet

          RuntimeException notImplementedYet(String string)

      Creates a `RuntimeException` for not implemented methods or features.

      Parameters:
        `string` -
      Returns:

    - #### auditNullAuditManager

          IllegalStateException auditNullAuditManager()

      Creates a `IllegalStateException` for the case the Audit Manager is null.

      Returns:

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Indicates if the logging level is set to INFO.

      Returns:

    - #### auditEvent

          void auditEvent(String auditEvent)

      Logs a PicketLink Audit Event.

      Parameters:
        `auditEvent` -

    - #### injectedValueMissing

          RuntimeException injectedValueMissing(String value)

      Creates a `RuntimeException` for missing values.

      Parameters:
        `string` -
      Returns:

    - #### keyStoreSetup

          void keyStoreSetup()

      Logs a message during the KeyStore setup.

    - #### keyStoreNullStore

          IllegalStateException keyStoreNullStore()

      Creates a `IllegalStateException` for the case where the KeyStore is null.

      Returns:

    - #### keyStoreNullPublicKeyForAlias

          void keyStoreNullPublicKeyForAlias(String alias)

      Logs a message for the cases where no public key was found for a given alias.

      Parameters:
        `alias` -

    - #### keyStoreConfigurationError

          TrustKeyConfigurationException keyStoreConfigurationError(Throwable t)

      Creates a `TrustKeyConfigurationException` for exceptions raised during the KeyStore configuration.

      Parameters:
        `t` -
      Returns:

    - #### keyStoreProcessingError

          TrustKeyProcessingException keyStoreProcessingError(Throwable t)

      Creates a `TrustKeyConfigurationException` for exceptions raised during the KeyStore processing.

      Parameters:
        `t` -
      Returns:

    - #### keyStoreMissingDomainAlias

          IllegalStateException keyStoreMissingDomainAlias(String domain)

      Parameters:
        `domain` -
      Returns:

    - #### keyStoreNullSigningKeyPass

          RuntimeException keyStoreNullSigningKeyPass()

      Creates a `RuntimeException` for the case where the signing key password is null.

      Returns:

    - #### keyStoreNullEncryptionKeyPass

          RuntimeException keyStoreNullEncryptionKeyPass()

    - #### keyStoreNotLocated

          RuntimeException keyStoreNotLocated(String keyStore)

      Creates a `RuntimeException` for the case where key store are not located.

      Parameters:
        `keyStore` -
      Returns:

    - #### keyStoreNullAlias

          IllegalStateException keyStoreNullAlias()

      Creates a `IllegalStateException` for the case where the alias is null.

      Returns:

    - #### parserUnknownEndElement

          RuntimeException parserUnknownEndElement(String endElementName)

      Creates a `RuntimeException` for the case where parser founds a unknown end element.

      Parameters:
        `endElementName` -
      Returns:

    - #### parserUnknownTag

          RuntimeException parserUnknownTag(String tag,
                                            Location location)

      Parameters:
        `tag` -
        `location` -
      Returns:

    - #### parserRequiredAttribute

          ParsingException parserRequiredAttribute(String string)

      Parameters:
        `string` -
      Returns:

    - #### parserUnknownStartElement

          RuntimeException parserUnknownStartElement(String elementName,
                                                     Location location)

      Parameters:
        `elementName` -
        `location` -
      Returns:

    - #### parserNullStartElement

          IllegalStateException parserNullStartElement()

      Returns:

    - #### parserUnknownXSI

          ParsingException parserUnknownXSI(String xsiTypeValue)

      Parameters:
        `xsiTypeValue` -
      Returns:

    - #### parserExpectedEndTag

          ParsingException parserExpectedEndTag(String tagName)

      Parameters:
        `string` -
      Returns:

    - #### parserException

          ParsingException parserException(Throwable t)

      Parameters:
        `e` -
      Returns:

    - #### parserExpectedTextValue

          ParsingException parserExpectedTextValue(String string)

      Parameters:
        `string` -
      Returns:

    - #### parserExpectedXSI

          RuntimeException parserExpectedXSI(String expectedXsi)

      Parameters:
        `expectedXsi` -
      Returns:

    - #### parserExpectedTag

          RuntimeException parserExpectedTag(String tag,
                                             String foundElementTag)

      Parameters:
        `tag` -
        `foundElementTag` -
      Returns:

    - #### parserFailed

          RuntimeException parserFailed(String elementName)

      Parameters:
        `elementName` -
      Returns:

    - #### parserUnableParsingNullToken

          ParsingException parserUnableParsingNullToken()

      Returns:

    - #### parserError

          ParsingException parserError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### xacmlPDPMessageProcessingError

          RuntimeException xacmlPDPMessageProcessingError(Throwable t)

      Parameters:
        `e` -
      Returns:

    - #### fileNotLocated

          IllegalStateException fileNotLocated(String policyConfigFileName)

      Parameters:
        `policyConfigFileName` -
      Returns:

    - #### optionNotSet

          IllegalStateException optionNotSet(String option)

      Parameters:
        `string` -
      Returns:

    - #### stsTokenRegistryNotSpecified

          void stsTokenRegistryNotSpecified()

    - #### stsTokenRegistryInvalidType

          void stsTokenRegistryInvalidType(String tokenRegistryOption)

      Parameters:
        `tokenRegistryOption` -

    - #### stsTokenRegistryInstantiationError

          void stsTokenRegistryInstantiationError()

    - #### stsRevocationRegistryNotSpecified

          void stsRevocationRegistryNotSpecified()

    - #### stsRevocationRegistryInvalidType

          void stsRevocationRegistryInvalidType(String registryOption)

      Parameters:
        `registryOption` -

    - #### stsRevocationRegistryInstantiationError

          void stsRevocationRegistryInstantiationError()

    - #### samlAssertionExpiredError

          ProcessingException samlAssertionExpiredError()

      Returns:

    - #### assertionInvalidError

          ProcessingException assertionInvalidError()

      Returns:

    - #### writerUnknownTypeError

          RuntimeException writerUnknownTypeError(String name)

      Parameters:
        `name` -
      Returns:

    - #### writerNullValueError

          ProcessingException writerNullValueError(String value)

      Parameters:
        `string` -
      Returns:

    - #### writerUnsupportedAttributeValueError

          RuntimeException writerUnsupportedAttributeValueError(String value)

      Parameters:
        `value` -
      Returns:

    - #### issuerInfoMissingStatusCodeError

          IllegalArgumentException issuerInfoMissingStatusCodeError()

      Returns:

    - #### classNotLoadedError

          ProcessingException classNotLoadedError(String fqn)

      Parameters:
        `fqn` -
      Returns:

    - #### couldNotCreateInstance

          ProcessingException couldNotCreateInstance(String fqn,
                                                     Throwable t)

      Parameters:
        `fqn` -
        `e` -
      Returns:

    - #### systemPropertyMissingError

          RuntimeException systemPropertyMissingError(String property)

      Parameters:
        `property` -
      Returns:

    - #### samlMetaDataIdentityProviderLoadingError

          void samlMetaDataIdentityProviderLoadingError(Throwable t)

      Parameters:
        `t` -

    - #### samlMetaDataServiceProviderLoadingError

          void samlMetaDataServiceProviderLoadingError(Throwable t)

      Parameters:
        `t` -

    - #### signatureAssertionValidationError

          void signatureAssertionValidationError(Throwable t)

      Parameters:
        `t` -

    - #### samlAssertionExpired

          void samlAssertionExpired(String id)

      Parameters:
        `id` -

    - #### unknownObjectType

          RuntimeException unknownObjectType(Object attrValue)

      Parameters:
        `attrValue` -
      Returns:

    - #### configurationError

          ConfigurationException configurationError(Throwable t)

      Parameters:
        `e` -
      Returns:

    - #### trace

          void trace(String message)

      Parameters:
        `message` -

    - #### trace

          void trace(String message,
                     Throwable t)

      Parameters:
        `string` -
        `t` -

    - #### signatureUnknownAlgo

          RuntimeException signatureUnknownAlgo(String algo)

      Parameters:
        `algo` -
      Returns:

    - #### invalidArgumentError

          IllegalArgumentException invalidArgumentError(String message)

      Parameters:
        `message` -
      Returns:

    - #### stsNoTokenProviderError

          ProcessingException stsNoTokenProviderError(String configuration,
                                                      String protocolContext)

      Parameters:
        `configuration` -
        `protocolContext` -
      Returns:

    - #### debug

          void debug(String message)

      Parameters:
        `message` -

    - #### stsConfigurationFileNotFoundTCL

          void stsConfigurationFileNotFoundTCL(String fileName)

      Parameters:
        `fileName` -

    - #### stsConfigurationFileNotFoundClassLoader

          void stsConfigurationFileNotFoundClassLoader(String fileName)

      Parameters:
        `fileName` -

    - #### stsUsingDefaultConfiguration

          void stsUsingDefaultConfiguration(String fileName)

      Parameters:
        `fileName` -

    - #### stsConfigurationFileLoaded

          void stsConfigurationFileLoaded(String fileName)

      Parameters:
        `fileName` -

    - #### stsConfigurationFileParsingError

          ConfigurationException stsConfigurationFileParsingError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### notSerializableError

          IOException notSerializableError(String message)

      Parameters:
        `message` -
      Returns:

    - #### trustKeyManagerCreationError

          void trustKeyManagerCreationError(Throwable t)

    - #### info

          void info(String message)

      Parameters:
        `message` -

    - #### warn

          void warn(String message)

      Parameters:
        `string` -

    - #### error

          void error(String message)

      Parameters:
        `message` -

    - #### xmlCouldNotGetSchema

          void xmlCouldNotGetSchema(Throwable t)

      Parameters:
        `t` -

    - #### isTraceEnabled

          boolean isTraceEnabled()

      Returns:

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Returns:

    - #### jceProviderCouldNotBeLoaded

          void jceProviderCouldNotBeLoaded(String name,
                                           Throwable t)

      Parameters:
        `name` -
        `t` -

    - #### writerInvalidKeyInfoNullContentError

          ProcessingException writerInvalidKeyInfoNullContentError()

      Returns:

    - #### notEqualError

          RuntimeException notEqualError(String first,
                                         String second)

      Parameters:
        `first` -
        `second` -
      Returns:

    - #### wrongTypeError

          IllegalArgumentException wrongTypeError(String message)

      Parameters:
        `message` -
      Returns:

    - #### encryptUnknownAlgoError

          RuntimeException encryptUnknownAlgoError(String certAlgo)

      Parameters:
        `certAlgo` -
      Returns:

    - #### domMissingDocElementError

          IllegalStateException domMissingDocElementError(String element)

      Parameters:
        `element` -
      Returns:

    - #### domMissingElementError

          IllegalStateException domMissingElementError(String element)

      Parameters:
        `element` -
      Returns:

    - #### stsWSInvalidTokenRequestError

          WebServiceException stsWSInvalidTokenRequestError()

      Returns:

    - #### stsWSError

          WebServiceException stsWSError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsWSConfigurationError

          WebServiceException stsWSConfigurationError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsWSInvalidRequestTypeError

          WSTrustException stsWSInvalidRequestTypeError(String requestType)

      Parameters:
        `requestType` -
      Returns:

    - #### stsWSHandlingTokenRequestError

          WebServiceException stsWSHandlingTokenRequestError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsWSResponseWritingError

          WebServiceException stsWSResponseWritingError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsUnableToConstructKeyManagerError

          RuntimeException stsUnableToConstructKeyManagerError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsPublicKeyError

          RuntimeException stsPublicKeyError(String serviceName,
                                             Throwable t)

      Parameters:
        `serviceName` -
        `t` -
      Returns:

    - #### stsSigningKeyPairError

          RuntimeException stsSigningKeyPairError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsPublicKeyCertError

          RuntimeException stsPublicKeyCertError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsTokenTimeoutNotSpecified

          void stsTokenTimeoutNotSpecified()

    - #### wsTrustCombinedSecretKeyError

          WSTrustException wsTrustCombinedSecretKeyError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### wsTrustClientPublicKeyError

          WSTrustException wsTrustClientPublicKeyError()

      Returns:

    - #### stsError

          WSTrustException stsError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### signatureInvalidError

          XMLSignatureException signatureInvalidError(String message,
                                                      Throwable t)

      Parameters:
        `message` -
        `t` -
      Returns:

    - #### stsSecurityTokenSignatureNotVerified

          void stsSecurityTokenSignatureNotVerified()

    - #### encryptProcessError

          RuntimeException encryptProcessError(Throwable t)

      Parameters:
        `e` -
      Returns:

    - #### stsSecurityTokenShouldBeEncrypted

          void stsSecurityTokenShouldBeEncrypted()

    - #### unableToDecodePasswordError

          RuntimeException unableToDecodePasswordError(String password)

      Parameters:
        `password` -
      Returns:

    - #### couldNotLoadProperties

          IllegalStateException couldNotLoadProperties(String configFile)

      Parameters:
        `configFile` -
      Returns:

    - #### stsKeyInfoTypeCreationError

          WSTrustException stsKeyInfoTypeCreationError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### stsSecretKeyNotEncrypted

          void stsSecretKeyNotEncrypted()

    - #### authCouldNotIssueSAMLToken

          LoginException authCouldNotIssueSAMLToken()

      Returns:

    - #### authLoginError

          LoginException authLoginError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### authCouldNotCreateWSTrustClient

          IllegalStateException authCouldNotCreateWSTrustClient(Throwable t)

      Parameters:
        `e` -
      Returns:

    - #### samlAssertionWithoutExpiration

          void samlAssertionWithoutExpiration(String id)

      Parameters:
        `id` -

    - #### authCouldNotValidateSAMLToken

          LoginException authCouldNotValidateSAMLToken(Element token)

      Parameters:
        `token` -
      Returns:

    - #### authCouldNotLocateSecurityToken

          LoginException authCouldNotLocateSecurityToken()

      Returns:

    - #### wsTrustNullCancelTargetError

          ProcessingException wsTrustNullCancelTargetError()

      Returns:

    - #### samlAssertionMarshallError

          ProcessingException samlAssertionMarshallError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### wsTrustNullRenewTargetError

          ProcessingException wsTrustNullRenewTargetError()

      Returns:

    - #### samlAssertionUnmarshallError

          ProcessingException samlAssertionUnmarshallError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### samlAssertionRevokedCouldNotRenew

          ProcessingException samlAssertionRevokedCouldNotRenew(String id)

      Returns:

    - #### wsTrustNullValidationTargetError

          ProcessingException wsTrustNullValidationTargetError()

      Returns:

    - #### stsWrongAttributeProviderTypeNotInstalled

          void stsWrongAttributeProviderTypeNotInstalled(String attributeProviderClassName)

      Parameters:
        `attributeProviderClassName` -

    - #### attributeProviderInstationError

          void attributeProviderInstationError(Throwable t)

      Parameters:
        `t` -

    - #### samlAssertion

          void samlAssertion(String nodeAsString)

      Parameters:
        `nodeAsString` -

    - #### wsTrustUnableToGetDataTypeFactory

          RuntimeException wsTrustUnableToGetDataTypeFactory(Throwable t)

      Parameters:
        `dce` -
      Returns:

    - #### wsTrustValidationStatusCodeMissing

          ProcessingException wsTrustValidationStatusCodeMissing()

      Returns:

    - #### samlIdentityServerActiveSessionCount

          void samlIdentityServerActiveSessionCount(int activeSessionCount)

      Parameters:
        `activeSessionCount` -

    - #### samlIdentityServerSessionCreated

          void samlIdentityServerSessionCreated(String id,
                                                int activeSessionCount)

      Parameters:
        `id` -
        `activeSessionCount` -

    - #### samlIdentityServerSessionDestroyed

          void samlIdentityServerSessionDestroyed(String id,
                                                  int activeSessionCount)

      Parameters:
        `id` -
        `activeSessionCount` -

    - #### unknowCredentialType

          RuntimeException unknowCredentialType(String name)

      Parameters:
        `name` -
      Returns:

    - #### samlHandlerRoleGeneratorSetupError

          void samlHandlerRoleGeneratorSetupError(Throwable t)

      Parameters:
        `t` -

    - #### samlHandlerAssertionNotFound

          RuntimeException samlHandlerAssertionNotFound()

      Returns:

    - #### samlHandlerAuthnRequestIsNull

          ProcessingException samlHandlerAuthnRequestIsNull()

      Returns:

    - #### samlHandlerAuthenticationError

          void samlHandlerAuthenticationError(Throwable t)

      Parameters:
        `t` -

    - #### samlHandlerNoAssertionFromIDP

          IllegalArgumentException samlHandlerNoAssertionFromIDP()

      Returns:

    - #### samlHandlerNullEncryptedAssertion

          ProcessingException samlHandlerNullEncryptedAssertion()

      Returns:

    - #### samlHandlerIDPAuthenticationFailedError

          SecurityException samlHandlerIDPAuthenticationFailedError()

      Returns:

    - #### assertionExpiredError

          ProcessingException assertionExpiredError(AssertionExpiredException aee)

      Parameters:
        `aee` -
      Returns:

    - #### unsupportedRoleType

          RuntimeException unsupportedRoleType(Object attrValue)

      Parameters:
        `attrValue` -
      Returns:

    - #### samlHandlerFailedInResponseToVerification

          void samlHandlerFailedInResponseToVerification(String inResponseTo,
                                                         String authnRequestId)

      Parameters:
        `inResponseTo` -
        `authnRequestId` -

    - #### samlHandlerFailedInResponseToVerificarionError

          ProcessingException samlHandlerFailedInResponseToVerificarionError()

      Returns:

    - #### samlIssuerNotTrustedError

          IssuerNotTrustedException samlIssuerNotTrustedError(String issuer)

      Parameters:
        `issuer` -
      Returns:

    - #### samlIssuerNotTrustedException

          IssuerNotTrustedException samlIssuerNotTrustedException(Throwable t)

      Parameters:
        `e` -
      Returns:

    - #### samlHandlerTrustElementMissingError

          ConfigurationException samlHandlerTrustElementMissingError()

      Returns:

    - #### samlHandlerIdentityServerNotFoundError

          ProcessingException samlHandlerIdentityServerNotFoundError()

      Returns:

    - #### samlHandlerPrincipalNotFoundError

          ProcessingException samlHandlerPrincipalNotFoundError()

      Returns:

    - #### samlHandlerKeyPairNotFound

          void samlHandlerKeyPairNotFound()

    - #### samlHandlerKeyPairNotFoundError

          ProcessingException samlHandlerKeyPairNotFoundError()

      Returns:

    - #### samlHandlerErrorSigningRedirectBindingMessage

          void samlHandlerErrorSigningRedirectBindingMessage(Throwable t)

      Parameters:
        `t` -

    - #### samlHandlerSigningRedirectBindingMessageError

          RuntimeException samlHandlerSigningRedirectBindingMessageError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### samlHandlerSignatureValidationFailed

          SignatureValidationException samlHandlerSignatureValidationFailed()

      Returns:

    - #### samlHandlerErrorValidatingSignature

          void samlHandlerErrorValidatingSignature(Throwable t)

      Parameters:
        `t` -

    - #### samlHandlerInvalidSignatureError

          ProcessingException samlHandlerInvalidSignatureError()

      Returns:

    - #### samlHandlerSignatureNotPresentError

          ProcessingException samlHandlerSignatureNotPresentError()

      Returns:

    - #### samlHandlerSignatureValidationError

          ProcessingException samlHandlerSignatureValidationError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### error

          void error(Throwable t)

      Parameters:
        `t` -

    - #### samlHandlerChainProcessingError

          RuntimeException samlHandlerChainProcessingError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### trustKeyManagerMissing

          TrustKeyConfigurationException trustKeyManagerMissing()

      Returns:

    - #### samlBase64DecodingError

          void samlBase64DecodingError(Throwable t)

      Parameters:
        `rte` -

    - #### samlParsingError

          void samlParsingError(Throwable t)

      Parameters:
        `t` -

    - #### trace

          void trace(Throwable t)

      Parameters:
        `t` -

    - #### mappingContextNull

          void mappingContextNull()

    - #### attributeManagerError

          void attributeManagerError(Throwable t)

      Parameters:
        `t` -

    - #### couldNotObtainSecurityContext

          void couldNotObtainSecurityContext()

    - #### authFailedToCreatePrincipal

          LoginException authFailedToCreatePrincipal(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### authSharedCredentialIsNotSAMLCredential

          LoginException authSharedCredentialIsNotSAMLCredential(String className)

      Parameters:
        `class1` -
      Returns:

    - #### authSTSConfigFileNotFound

          LoginException authSTSConfigFileNotFound()

      Returns:

    - #### authErrorHandlingCallback

          LoginException authErrorHandlingCallback(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### authInvalidSAMLAssertionBySTS

          LoginException authInvalidSAMLAssertionBySTS()

      Returns:

    - #### authAssertionValidationError

          LoginException authAssertionValidationError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### authFailedToParseSAMLAssertion

          LoginException authFailedToParseSAMLAssertion(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### samlAssertionPasingFailed

          void samlAssertionPasingFailed(Throwable t)

      Parameters:
        `t` -

    - #### authNullKeyStoreFromSecurityDomainError

          LoginException authNullKeyStoreFromSecurityDomainError(String name)

    - #### authNullKeyStoreAliasFromSecurityDomainError

          LoginException authNullKeyStoreAliasFromSecurityDomainError(String name)

    - #### authNoCertificateFoundForAliasError

          LoginException authNoCertificateFoundForAliasError(String alias,
                                                             String name)

    - #### authSAMLInvalidSignatureError

          LoginException authSAMLInvalidSignatureError()

    - #### authSAMLAssertionExpiredError

          LoginException authSAMLAssertionExpiredError()

    - #### authSAMLAssertionIssuingFailed

          void authSAMLAssertionIssuingFailed(Throwable t)

      Parameters:
        `t` -

    - #### jbossWSUnableToCreateBinaryToken

          void jbossWSUnableToCreateBinaryToken(Throwable t)

      Parameters:
        `t` -

    - #### jbossWSUnableToCreateSecurityToken

          void jbossWSUnableToCreateSecurityToken()

    - #### jbossWSUnableToWriteSOAPMessage

          void jbossWSUnableToWriteSOAPMessage(Throwable t)

      Parameters:
        `ignore` -

    - #### jbossWSUnableToLoadJBossWSSEConfigError

          RuntimeException jbossWSUnableToLoadJBossWSSEConfigError()

      Returns:

    - #### jbossWSAuthorizationFailed

          RuntimeException jbossWSAuthorizationFailed()

      Returns:

    - #### jbossWSErrorGettingOperationName

          void jbossWSErrorGettingOperationName(Throwable t)

      Parameters:
        `t` -

    - #### authSAMLCredentialNotAvailable

          LoginException authSAMLCredentialNotAvailable()

      Returns:

    - #### authUnableToInstantiateHandler

          RuntimeException authUnableToInstantiateHandler(String token,
                                                          Throwable t)

      Parameters:
        `token` -
        `t` -
      Returns:

    - #### jbossWSUnableToCreateSSLSocketFactory

          RuntimeException jbossWSUnableToCreateSSLSocketFactory(Throwable t)

      Parameters:
        `e1` -
      Returns:

    - #### jbossWSUnableToFindSSLSocketFactory

          RuntimeException jbossWSUnableToFindSSLSocketFactory()

      Returns:

    - #### authUnableToGetIdentityFromSubject

          RuntimeException authUnableToGetIdentityFromSubject()

      Returns:

    - #### authSAMLAssertionNullOrEmpty

          RuntimeException authSAMLAssertionNullOrEmpty()

      Returns:

    - #### jbossWSUncheckedAndRolesCannotBeTogether

          ProcessingException jbossWSUncheckedAndRolesCannotBeTogether()

      Returns:

    - #### samlIDPHandlingSAML11Error

          void samlIDPHandlingSAML11Error(Throwable t)

      Parameters:
        `t` -

    - #### samlIDPValidationCheckFailed

          GeneralSecurityException samlIDPValidationCheckFailed()

      Returns:

    - #### samlIDPRequestProcessingError

          void samlIDPRequestProcessingError(Throwable t)

      Parameters:
        `t` -

    - #### samlIDPUnableToSetParticipantStackUsingDefault

          void samlIDPUnableToSetParticipantStackUsingDefault(Throwable t)

      Parameters:
        `t` -

    - #### samlHandlerConfigurationError

          void samlHandlerConfigurationError(Throwable t)

      Parameters:
        `t` -

    - #### samlIDPSettingCanonicalizationMethod

          void samlIDPSettingCanonicalizationMethod(String canonicalizationMethod)

      Parameters:
        `canonicalizationMethod` -

    - #### samlIDPConfigurationError

          RuntimeException samlIDPConfigurationError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### configurationFileMissing

          RuntimeException configurationFileMissing(String configFile)

      Parameters:
        `configFile` -
      Returns:

    - #### samlIDPInstallingDefaultSTSConfig

          void samlIDPInstallingDefaultSTSConfig()

    - #### samlSPFallingBackToLocalFormAuthentication

          void samlSPFallingBackToLocalFormAuthentication()

    - #### unableLocalAuthentication

          IOException unableLocalAuthentication(Throwable t)

      Parameters:
        `ex` -
      Returns:

    - #### samlSPUnableToGetIDPDescriptorFromMetadata

          void samlSPUnableToGetIDPDescriptorFromMetadata()

    - #### samlSPConfigurationError

          RuntimeException samlSPConfigurationError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### samlSPSettingCanonicalizationMethod

          void samlSPSettingCanonicalizationMethod(String canonicalizationMethod)

      Parameters:
        `canonicalizationMethod` -

    - #### samlSPCouldNotDispatchToLogoutPage

          void samlSPCouldNotDispatchToLogoutPage(String logOutPage)

      Parameters:
        `logOutPage` -

    - #### usingLoggerImplementation

          void usingLoggerImplementation(String className)

      Logs the implementation being used to log messages and exceptions.

      Parameters:
        `name` -

    - #### samlResponseFromIDPParsingFailed

          void samlResponseFromIDPParsingFailed()

    - #### auditSecurityDomainNotFound

          ConfigurationException auditSecurityDomainNotFound(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### auditAuditManagerNotFound

          ConfigurationException auditAuditManagerNotFound(String location,
                                                           Throwable t)

      Parameters:
        `location` -
        `t` -
      Returns:

    - #### samlIssueInstantMissingError

          IssueInstantMissingException samlIssueInstantMissingError()

      Returns:

    - #### samlSPResponseNotCatalinaResponseError

          RuntimeException samlSPResponseNotCatalinaResponseError(Object response)

      Parameters:
        `response` -
      Returns:

    - #### samlLogoutError

          void samlLogoutError(Throwable t)

      Parameters:
        `t` -

    - #### samlErrorPageForwardError

          void samlErrorPageForwardError(String errorPage,
                                         Throwable t)

      Parameters:
        `t` -

    - #### samlSPHandleRequestError

          void samlSPHandleRequestError(Throwable t)

      Parameters:
        `t` -

    - #### samlSPProcessingExceptionError

          IOException samlSPProcessingExceptionError(Throwable t)

      Parameters:
        `t` -
      Returns:

    - #### samlInvalidProtocolBinding

          IllegalArgumentException samlInvalidProtocolBinding()

      Returns:

    - #### samlHandlerServiceProviderConfigNotFound

          IllegalStateException samlHandlerServiceProviderConfigNotFound()

      Returns:

    - #### samlSecurityTokenAlreadyPersisted

          void samlSecurityTokenAlreadyPersisted(String id)

    - #### samlSecurityTokenNotFoundInRegistry

          void samlSecurityTokenNotFoundInRegistry(String id)

      Parameters:
        `id` -

    - #### samlMetaDataFailedToCreateCacheDuration

          IllegalArgumentException samlMetaDataFailedToCreateCacheDuration(String timeValue)

    - #### samlMetaDataNoIdentityProviderDefined

          ConfigurationException samlMetaDataNoIdentityProviderDefined()

    - #### samlMetaDataNoServiceProviderDefined

          ConfigurationException samlMetaDataNoServiceProviderDefined()

    - #### securityDomainNotFound

          ConfigurationException securityDomainNotFound()

    - #### authenticationManagerError

          void authenticationManagerError(ConfigurationException e)

    - #### authorizationManagerError

          void authorizationManagerError(ConfigurationException e)

    - #### jbdcInitializationError

          IllegalStateException jbdcInitializationError(Throwable throwable)

    - #### errorUnmarshallingToken

          RuntimeException errorUnmarshallingToken(Throwable e)

    - #### runtimeException

          RuntimeException runtimeException(String msg,
                                            Throwable e)

    - #### datasourceIsNull

          IllegalStateException datasourceIsNull()

    - #### cannotParseParameterValue

          IllegalArgumentException cannotParseParameterValue(String parameter,
                                                             Throwable e)

    - #### cannotGetFreeClientPoolKey

          RuntimeException cannotGetFreeClientPoolKey(String key)

    - #### cannotGetSTSConfigByKey

          RuntimeException cannotGetSTSConfigByKey(String key)

    - #### cannotGetUsedClientsByKey

          RuntimeException cannotGetUsedClientsByKey(String key)

    - #### removingNonExistingClientFromUsedClientsByKey

          RuntimeException removingNonExistingClientFromUsedClientsByKey(String key)

    - #### freePoolAlreadyContainsGivenKey

          RuntimeException freePoolAlreadyContainsGivenKey(String key)

    - #### maximumNumberOfClientsReachedforPool

          RuntimeException maximumNumberOfClientsReachedforPool(String max)

    - #### cannotSetMaxPoolSizeToNegative

          RuntimeException cannotSetMaxPoolSizeToNegative(String max)

    - #### parserFeatureNotSupported

          RuntimeException parserFeatureNotSupported(String feature)

    - #### samlAssertionWrongAudience

          ProcessingException samlAssertionWrongAudience(String serviceURL)

Copyright © 2016 JBoss by Red Hat. All rights reserved.